public class Person {
    
    // A "read-only" public constant shared among all instances and
    // accessible by means of the class name, i.e., Person.DEFAULT_NAME.
    public static final String DEFAULT_NAME = "No Name"; 
    
    private String name; // = "No Name"; // imlicit initialization
    private int yearBorn; // = 2000;
    
    public Person() {
        this(DEFAULT_NAME, 2000); // invocation of an overloaded contructor
        //name = "No name";
        //setName("No name"); // local methods can be used as well in the constructor
        //yearBorn = 2000;
    }
    
    public Person(String name, int yb) {
        this.name = name;
        yearBorn = yb;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;   
    }
    
    public int getYearBorn() {
        return yearBorn;
    }
    
    public void setYearBorn(int yb) {
        yearBorn = yb;
    }
    
    public void writeInfo() {
        System.out.println("I am " + getName() + " " + yearBorn);
    }

    
}